using SqlSugar;
using System;

namespace DeviceRepairAndOptimization.Models
{
    [SugarTable("UserInfo")]
    public class UserInfo
    {
        /// <summary>
        /// 自增长ID主键
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public int AutoID { get; set; }

        /// <summary>
        /// 登录名
        /// </summary>
        [SugarColumn(ColumnName = "LoginCode")]
        public string LoginCode { get; set; }

        /// <summary>
        /// 密码
        /// </summary>
        [SugarColumn(ColumnName = "PassWord")]
        public string PassWord { get; set; }

        /// <summary>
        /// 真实姓名
        /// </summary>
        [SugarColumn(ColumnName = "RealName")]
        public string RealName { get; set; }

        /// <summary>
        /// 性别
        /// </summary>
        [SugarColumn(ColumnName = "Gender")]
        public int Gender { get; set; }

        /// <summary>
        /// 出生日期
        /// </summary>
        [SugarColumn(ColumnName = "Birthday")]
        public DateTime Birthday { get; set; }

        /// <summary>
        /// 联系电话
        /// </summary>
        [SugarColumn(ColumnName = "Phone")]
        public string Phone { get; set; }

        /// <summary>
        /// 权限组 - 暂未启用
        /// </summary>
        [SugarColumn(ColumnName = "RuleGroup")]
        public int RuleGroup { get; set; }
    }
}